package cn.superdesk.uniorder.dubbo.facade.channel;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.channel.UnifiedChannelProfitSync;
import cn.superdesk.uniorder.dto.dubbo.channel.UnifiedChannelProfitSyncParam;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedChannelProfitSyncPage;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-28 16:37:32
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-28 16:37:32
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUnifiedChannelProfitSyncService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UnifiedChannelProfitSyncParam param);

	@Deprecated
	void updateObj(UnifiedChannelProfitSyncParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedChannelProfitSync findById(Long id);

	@Deprecated
	PageInfo<UnifiedChannelProfitSync> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedChannelProfitSync> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedChannelProfitSync(UnifiedChannelProfitSyncParam param);
	void addUnifiedChannelProfitSync(UnifiedChannelProfitSync channelSync);


	void updateUnifiedChannelProfitSync(UnifiedChannelProfitSyncParam param);
	void updateUnifiedChannelProfitSync(UnifiedChannelProfitSync channelSync);

	void deleteUnifiedChannelProfitSync(Long id);
//	void deleteUnifiedChannelProfitSync(Long id);

	UnifiedChannelProfitSync findUnifiedChannelProfitSyncById(Long id);

	R<List<UnifiedChannelProfitSync>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


	////////////////////

	List<UnifiedChannelProfitSync> getChannelProfitAll(Map<String, Object> params);

	UnifiedChannelProfitSync findUnifiedChannelProfitSyncBySyncId(Long id);

	R<List<UnifiedChannelProfitSyncPage>> getChannelPage(Map<String, Object> params, int pageNum, int pageSize);





	void deleteReceiveUnifiedChannelProfitSync(String message);

	void mergeReceiveUnifiedChannelProfitSync(String message);
}
